From 95541d74e576431301b14d0072756e0c98f68f16 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 15:28:34 -0500
Subject: buglist: bug 7291: cos(2/3@Float) parses wrong

--S 8 of 51
cos(2/3@Float)

Daly Bug
   An expression involving @ Float actually evaluated to one of type
      PositiveInteger . Perhaps you should use :: Float .
--R
--R
--R   (8)  0.7858872607 7694800072
--R                                                                  Type: Float
--E 8

--S 9 of 51
cos((2/3)@Float)

   (8)  0.7858872607 7694800072
                                                                  Type: Float
--R
--R
--R   (9)  0.7858872607 7694800072
--R                                                                  Type: Float
--E 9
---
 buglist                        |   30 +++++++++++++++++++++++++++++-
 changelog                      |    4 +++-
 patch                          |   31 +++++++++++++++++++++++--------
 src/axiom-website/patches.html |    4 +++-
 4 files changed, 58 insertions(+), 11 deletions(-)

diff --git a/buglist b/buglist
index b72c3e8..adc4441 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7291: 
+bug 7292: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,34 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7291: cos(2/3@Float) parses wrong
+
+--S 8 of 51
+cos(2/3@Float)
+ 
+ 
+Daly Bug
+   An expression involving @ Float actually evaluated to one of type 
+      PositiveInteger . Perhaps you should use :: Float .
+--R 
+--R
+--R   (8)  0.7858872607 7694800072
+--R                                                                  Type: Float
+--E 8
+
+--S 9 of 51
+cos((2/3)@Float)
+ 
+
+   (8)  0.7858872607 7694800072
+                                                                  Type: Float
+--R 
+--R
+--R   (9)  0.7858872607 7694800072
+--R                                                                  Type: Float
+--E 9
+
+=========================================================================
 bug 7290: )d op coerce fails
 
 )d op coerce
diff --git a/changelog b/changelog
index e80653a..9868b97 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20150106 tpd src/axiom-website/patches.html 20150107.01.tpd.patch
+20150107 tpd src/axiom-website/patches.html 20150107.02.tpd.patch
+20150107 tpd buglist: bug 7291: cos(2/3@Float) parses wrong
+20150107 tpd src/axiom-website/patches.html 20150107.01.tpd.patch
 20150107 tpd buglist: bug 7290: )d op coerce fails
 20150106 tpd src/axiom-website/patches.html 20150106.13.tpd.patch
 20150106 tpd buglist: bug 7289: OrderedVariableList type coercion failed
diff --git a/patch b/patch
index 3f2f373..dc6c142 100644
--- a/patch
+++ b/patch
@@ -1,12 +1,27 @@
-buglist: bug 7290: )d op coerce fails
+buglist: bug 7291: cos(2/3@Float) parses wrong
 
-)d op coerce
+--S 8 of 51
+cos(2/3@Float)
+ 
+ 
+Daly Bug
+   An expression involving @ Float actually evaluated to one of type 
+      PositiveInteger . Perhaps you should use :: Float .
+--R 
+--R
+--R   (8)  0.7858872607 7694800072
+--R                                                                  Type: Float
+--E 8
 
-There are 195 exposed functions called coerce :
-   [1] List(D2) -> D from D if D2 has FIELD and D has AFSPCAT(D2)
-   [2] D -> List(D2) from D if D has AFSPCAT(D2) and D2 has FIELD
-   [3] D1 -> D from D if D has ALGEBRA(D1) and D1 has COMRING
+--S 9 of 51
+cos((2/3)@Float)
  
-   >> System error:
-   D2 is not of type SEQUENCE.
+
+   (8)  0.7858872607 7694800072
+                                                                  Type: Float
+--R 
+--R
+--R   (9)  0.7858872607 7694800072
+--R                                                                  Type: Float
+--E 9
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 29b1ef0..5d19b9f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4923,7 +4923,9 @@ buglist: bug 7288: TexFormat radix escapes characters<br/>
 <a href="patches/20150106.13.tpd.patch">20150106.13.tpd.patch</a>
 buglist: bug 7289: OrderedVariableList type coercion failed<br/>
 <a href="patches/20150107.01.tpd.patch">20150107.01.tpd.patch</a>
-buglist: bug 7290: )d op coerce fails
+buglist: bug 7290: )d op coerce fails<br/>
+<a href="patches/20150107.02.tpd.patch">20150107.02.tpd.patch</a>
+buglist: bug 7291: cos(2/3@Float) parses wrong<br/>
  </body>
 </html>
 
-- 
1.7.5.4

